CRM Pipelines
Patch crmpipelines stages
PATCH
/
crm
/
pipelines
/
{pipelineId}
/
stages
/
{stageId}
cURL
curl --request PATCH \
--url https://api.example.com/crm/pipelines/{pipelineId}/stages/{stageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"isWon": true,
"isLost": true,
"winProbability": 50,
"rottingDays": 123,
"requiredCustomFields": [
"<string>"
]
}
'import requests
url = "https://api.example.com/crm/pipelines/{pipelineId}/stages/{stageId}"
payload = {
"name": "<string>",
"color": "<string>",
"isWon": True,
"isLost": True,
"winProbability": 50,
"rottingDays": 123,
"requiredCustomFields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
color: '<string>',
isWon: true,
isLost: true,
winProbability: 50,
rottingDays: 123,
requiredCustomFields: ['<string>']
})
};
fetch('https://api.example.com/crm/pipelines/{pipelineId}/stages/{stageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"isWon": true,
"isLost": true,
"winProbability": 123,
"pipelineId": "<string>",
"rottingDays": 123,
"requiredCustomFields": [
"<string>"
]
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Body
application/json
⌘I
cURL
